import javax.microedition.lcdui.*;

class WiezeHanoiTitle extends Canvas
	implements CommandListener, WiezeHanoiConstants{

	private int WIDTH = getWidth();
	private int HEIGHT = getHeight();
	private Command commandOptions;
	private Command commandExit;
	private Display display;
	private WiezeHanoiMIDlet midlet;
	private final String wh[] = {"Wiee","Hanoi"};
	private final Font font = Font.getFont(Font.FACE_PROPORTIONAL,
										   Font.STYLE_BOLD,
										   Font.SIZE_LARGE);
	private final Font smallFont = Font.getFont(Font.FACE_SYSTEM,
										   Font.STYLE_PLAIN,
										   Font.SIZE_SMALL);

	public WiezeHanoiTitle(WiezeHanoiMIDlet midlet){
		this.midlet = midlet;
		this.display = display;
		commandOptions = new Command("Start", Command.OK,1);
		commandExit = new Command("Wyjcie", Command.EXIT,1);
		addCommand(commandOptions);
		addCommand(commandExit);
		setCommandListener(this);
	}

	public void paint(Graphics g) {
		g.setColor(WHITE);
		g.fillRect(0,0,WIDTH,HEIGHT);
		g.setColor(BLUE);
		g.setFont(font);
		g.drawString(wh[0],WIDTH/2 ,HEIGHT/3,g.HCENTER | g.TOP);
		g.drawString(wh[1],WIDTH/2 ,HEIGHT/3+16,g.HCENTER | g.TOP);
		g.setFont(smallFont);
		g.setColor(BLACK);
		g.drawString("by J. A. Miszczak",WIDTH/2,HEIGHT/3+35,g.HCENTER | g.TOP);
		g.drawString("(c) 2002",WIDTH/2,HEIGHT/3+45,g.HCENTER | g.TOP);

	}

	public void commandAction(Command c, Displayable d){
		if(c == commandOptions) midlet.showOptionScreen();
		if(c ==	commandExit) midlet.exitApp();
	}

	public void keyPressed(int code){
		midlet.showOptionScreen();
	}
}
